SDL_RenderClear(3)

NAME
SDL_RenderClear - Clear the current rendering target with the drawing color.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_RenderClear(SDL_Renderer *renderer);

DESCRIPTION
This function clears the entire rendering target, ignoring the viewport and the clip rectangle. Note, that clearing will also set/fill all pixels of the rendering target to current renderer draw color, so make sure to invoke

SDL_SetRenderDrawColor () when needed.

FUNCTION PARAMETERS

renderer
    the rendering context.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SetRenderDrawColor(3)